Bug 739166 - spam-o-matic is hardcoded to spam ${pkg}-owner@fedoraproject.org
Summary: spam-o-matic is hardcoded to spam ${pkg}-owner@fedoraproject.org
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mash
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 16:34 UTC by Iain Arnell
Modified: 2014-03-17 03:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-21 18:36:21 UTC


Attachments (Terms of Use)

Description Iain Arnell 2011-09-16 16:34:56 UTC
The spam-o-matic script is hard-coded to spam ${pkg}-owner@fedoraproject.org by default. When other organisations set up their own private build infrastructure, this can easily lead to accidental spamming of fedora maintainers.

The spam-o-matic script needs to be configurable and should default to targeting poor old @example.com instead.

This affects all current fedora and epel branches.

Comment 1 Ken Dreyer 2011-12-03 01:22:47 UTC
I'm bumping back up to rawhide, as this is still present in master.

The relevant code in utils/spam-o-matic:

 70     f = "%s-owner@fedoraproject.org" % pkg
 71     list[pkg] = f
 72     if f:
 73         return True
 74     return False

and later,

156     fromaddr = 'buildsys@fedoraproject.org'

Comment 2 Bill Nottingham 2012-01-05 20:19:51 UTC
Some basic support for this added in git commit 35eae62. Defaulting to example.com requires doing builds & coordinating between the mash release & the automatic rel-eng build scripts.

Comment 3 Ken Dreyer 2012-01-05 20:23:18 UTC
That sort of lines up with Koji and the rest. As long as it's configurable, I'm a happy camper.

Comment 4 Bill Nottingham 2012-06-21 18:36:21 UTC
This should be fixed in F17.


Note You need to log in before you can comment on or make changes to this bug.